Installation du package perl-IO-Socket-SSL

Le
Geek73
J'installe un serveur Samba avec authentification LDAP, toutefois lors de
l'utilisation smbldap-tools j'ai le message suivant lors de la création d'un
utilisateur:

Can't locate IO/Socket/SSL.pm in @INC (@INC contains: /usr/local/sbin/
/usr/lib/perl5/5.8.0/i386-linux-thread- multi /usr/lib/perl5/5.8.0
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl .)
at /usr/lib/perl5/site_perl/5.8.0/Net/LDAP.pm line 920.

J'ai bien installé le pckage perl-IO-Socket-SSL, mais le problème persiste.

Si quelqu'un à la solution à ce problème, je le remercie d'avance de
m'indiquer comment m'en sortir

Geek
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
TiChou
Le #1009987
Dans l'article news:4043c776$0$28456$,
Geek73
Can't locate IO/Socket/SSL.pm in @INC (@INC contains: /usr/local/sbin/
/usr/lib/perl5/5.8.0/i386-linux-thread- multi /usr/lib/perl5/5.8.0
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl .)
at /usr/lib/perl5/site_perl/5.8.0/Net/LDAP.pm line 920.

J'ai bien installé le pckage perl-IO-Socket-SSL, mais le problème
persiste.


Pour l'installation des modules perl, je préfère utiliser le module CPAN qui
est plus apte à installer les modules convenablement en fonction des
dépendances et de l'environement système.

Si quelqu'un à la solution à ce problème, je le remercie d'avance de
m'indiquer comment m'en sortir


Essayez donc d'installer ce module perl comme suit :

$ perl -MCPAN -e 'install IO::Socket::SSL'

En espérant avoir résolu votre problème.

Notez tout de même qu'il existe un groupe dédié à Perl, fr.comp.lang.perl,
et qu'il est préférable de poster ces questions sur Perl dans ce groupe.

--
TiChou

Geek73
Le #1011155
Merci pour l'info technique... désormais ça marche!
Merci aussi pour l'info sur le forum Perl. N'ayant pas eut l'occasion de le
manipuler "directement" par le passé, je découvre actuellement cet "outil de
développement"

Geek


"TiChou" 40447aad$0$29954$
Dans l'article news:4043c776$0$28456$,
Geek73
Can't locate IO/Socket/SSL.pm in @INC (@INC contains:
/usr/local/sbin/


/usr/lib/perl5/5.8.0/i386-linux-thread- multi /usr/lib/perl5/5.8.0
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.0/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.0 /usr/lib/perl5/vendor_perl .)
at /usr/lib/perl5/site_perl/5.8.0/Net/LDAP.pm line 920.

J'ai bien installé le pckage perl-IO-Socket-SSL, mais le problème
persiste.


Pour l'installation des modules perl, je préfère utiliser le module CPAN
qui

est plus apte à installer les modules convenablement en fonction des
dépendances et de l'environement système.

Si quelqu'un à la solution à ce problème, je le remercie d'avance de
m'indiquer comment m'en sortir


Essayez donc d'installer ce module perl comme suit :

$ perl -MCPAN -e 'install IO::Socket::SSL'

En espérant avoir résolu votre problème.

Notez tout de même qu'il existe un groupe dédié à Perl, fr.comp.lang.perl,
et qu'il est préférable de poster ces questions sur Perl dans ce groupe.

--
TiChou




Publicité
Poster une réponse
Anonyme